From: Mikulas Patocka <mpatocka@redhat.com>

Publish dm_get_mapinfo in include/linux/device-mapper.h because this function
is used by targets.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.h               |    1 -
 include/linux/device-mapper.h |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.27/drivers/md/dm.h
===================================================================
--- linux-2.6.27.orig/drivers/md/dm.h	2008-10-10 12:21:38.000000000 +0100
+++ linux-2.6.27/drivers/md/dm.h	2008-10-10 12:21:39.000000000 +0100
@@ -91,7 +91,6 @@ int dm_stripe_init(void);
 void dm_stripe_exit(void);
 
 void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size);
-union map_info *dm_get_mapinfo(struct bio *bio);
 int dm_open_count(struct mapped_device *md);
 int dm_lock_for_deletion(struct mapped_device *md);
 
Index: linux-2.6.27/include/linux/device-mapper.h
===================================================================
--- linux-2.6.27.orig/include/linux/device-mapper.h	2008-10-10 12:21:38.000000000 +0100
+++ linux-2.6.27/include/linux/device-mapper.h	2008-10-10 12:21:39.000000000 +0100
@@ -207,6 +207,7 @@ int dm_copy_name_and_uuid(struct mapped_
 struct gendisk *dm_disk(struct mapped_device *md);
 int dm_suspended(struct mapped_device *md);
 int dm_noflush_suspending(struct dm_target *ti);
+union map_info *dm_get_mapinfo(struct bio *bio);
 
 /*
  * Geometry functions.
